from util.wordnet import load_wn
from nltk.corpus.reader.wordnet import WordNetError
import sys

if __name__ == "__main__":
    wn = load_wn()
    file = sys.argv[1]

    for ii in open(file):
        k1, k2 = ii.split()
        try:
            s1 = wn.lemma_from_key(k1)
        except WordNetError:
            s1 = wn.lemma_from_key(k1.replace("%3:", "%5:"))

        try:
            s2 = wn.lemma_from_key(k2)
        except WordNetError:
            s2 = wn.lemma_from_key(k2.replace("%3:", "%5:"))

        print "%s,%s" % (s1.synset.name, s2.synset.name)
